package database;

import global.GlobalData;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * Clase para crear la tabla que contendra los datos de GoodWave
 * */
public class TablaDatos {

	/**
	 * Crea la tabla que contendra los datos de GoodWave
	 * */
	public static void main/*TablaDatos*/() throws InterruptedException {

		Connection conn = null;
	
		try
		{
			 //----------  CONEXION A LA BD  ----------------
			
	         Class.forName("com.mysql.jdbc.Driver");
	         
	         //TODO controlar acceso identificado
	         conn = DriverManager.getConnection(GlobalData.url,GlobalData.login,GlobalData.password);
	
	         if (conn == null)
	         {
	            System.out.println("Conexin a base de datos "+GlobalData.url+" ... falhida");
	         }
	         
	         //---  EJECUCION DE BORRADO Y CREACION DE TABLAS  -----
	         try{
	             Statement st = conn.createStatement();
	             
	             //------  CREACION  -------------

	             String table = ("CREATE TABLE `datos` (" +
	       			  "`VariableID` int(11) NOT NULL," +
	       			  "`LugarID` int(11) NOT NULL," +
	       			  "`Fecha` double NOT NULL," +	//campo double: fecha guardada en ms
	       			  "`Valor` varchar(30) NOT NULL," +
	       			  "PRIMARY KEY (variableID, LugarID, fecha)," +
	       			  "FOREIGN KEY(VariableID) REFERENCES variables(VariableID)," +
	       			  "FOREIGN KEY(LugarID) REFERENCES geografia(LugarId)" +
	       			  ") TYPE = INNODB");

	             st.executeUpdate(table);
	             System.out.println("Creacion de la tabla 'datos': OK");
		             
	           }
	           catch(SQLException s){
	        	   System.out.println("No se ha podido crear la tabla \"Datos\"");
	        	   System.out.println(s);
	         }
	
	         conn.close();
	         
	         //------- FIN CONEXION A LA BD  ----------------
	      }
		  catch(SQLException ex)
		  {
			  System.out.println("No se ha podido conectar con la Base de Datos");
			  System.out.println(ex);
		  }
		  catch(ClassNotFoundException ex)
		  {
			  System.out.println(ex);
		  }
	}
}
